"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-11.0-arm64-cpython-39/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x105757ee0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x105757f70>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10575c040>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10575c0d0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x10575c160>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x10575c1f0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10575c280>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10575c310>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10575c3a0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10575c430>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x10575c4c0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x10575c550>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x10575c5e0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x10575c670>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x10575c700>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x10575c790>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x10575c820>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x10575c8b0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x10575c940>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x10575c9d0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x10575ca60>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x10575caf0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x10575cb80>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x10575cc10>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x10575cd30>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x10575cca0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x10575cdc0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x10575ce50>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x10575cee0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x10575cf70>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x10575f040>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x10575f0d0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x10575f160>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x10575f1f0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x10575f280>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x10575f310>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x10575f3a0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x10575f430>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10575f4c0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10575f550>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10575f5e0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x10575f670>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x10575f700>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x10575f790>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x10575f820>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x10575f8b0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x10575f940>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10575f9d0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10575fa60>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x10575faf0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x10575fb80>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x10575fc10>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x10575fca0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x10575fd30>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x10575fdc0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x10575fe50>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x10575fee0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10575ff70>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x105764040>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x1057640d0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x105764160>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x1057641f0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x105764280>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x105764310>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x1057643a0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x105764550>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x105764430>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x1057645e0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x105764670>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x105764700>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x105764790>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x105764820>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x105764940>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x1057648b0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x1057649d0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x105764a60>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x105764af0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x105764c10>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x105764b80>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x105764ca0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x105764d30>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x105764dc0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x105764e50>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x105764ee0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x105764f70>)]
name: str = 'fr_HOCCN'
